:START
    ECHO OFF
    IF NOT EXIST A:MOUPDATE.ZIP GOTO ERROR1
    IF NOT EXIST A:PKUNZIP.EXE  GOTO ERROR2
    COPY A:MOUPDATE.ZIP > NUL:
    COPY A:PKUNZIP.EXE > NUL:
    IF NOT EXIST MOUPDATE.ZIP   GOTO ERROR3
    IF NOT EXIST PKUNZIP.EXE    GOTO ERROR4
    PKUNZIP -O MOUPDATE.ZIP > NUL:
    IF NOT EXIST MOUPDATE.EXE   GOTO ERROR5
    SET COBSW=+M
    MOUPDATE
    IF EXIST MOUPDATE.OK GOTO REBUILD
    IF NOT EXIST MOUPDATE.ERR GOTO WAITASEC
    GOTO END
:REBUILD
    MOINDEX NO REPORT
    MORESULT
    IF EXIST MOINDEX.ERR     GOTO WAITASEC
    IF EXIST MOUPDATE.ERR    GOTO WAITASEC
    IF NOT EXIST MOINDEX.OK  GOTO WAITASEC
    IF NOT EXIST MOUPDATE.OK GOTO WAITASEC
    GOTO UPCONTROL
:UPCONTROL
    CLS
    QCONUPD
    IF NOT EXIST CONTROL.TMP GOTO ERROR6
    COPY CONTROL.TMP CONTROL.FLE > NUL:
    IF NOT EXIST CONTROL.FLE GOTO ERROR7
    DWPILOT
    IF NOT EXIST ADMIN.EXE GOTO END
    IF EXIST \GOLD\GOLD.EXE ADMIN
    GOTO END
:ERROR1
    ECHO ERROR: MOUPDATE.ZIP NOT PRESENT ON DISK 1
    GOTO WAITASEC
:ERROR2
    ECHO ERROR: PKUNZIP.EXE NOT PRESENT ON DISK 1
    GOTO WAITASEC
:ERROR3
    ECHO ERROR: MOUPDATE.ZIP DID NOT COPY CORRECTLY FROM DISK 1
    GOTO WAITASEC
:ERROR4
    ECHO ERROR: PKUNZIP.EXE DID NOT COPY CORRECTLY FROM DISK 1
    GOTO WAITASEC
:ERROR5
    ECHO ERROR: MOUPDATE.EXE NOT FOUND IN MOUPDATE.ZIP
    GOTO WAITASEC
:ERROR6
    ECHO QCONUPD HAS NOT CREATED CONTROL.TMP
    GOTO WAITASEC
:ERROR7
    ECHO CONTROL.TMP DID NOT COPY CORRECTLY TO CONTROL.FLE
    GOTO WAITASEC
:WAITASEC
    ECHO.
    ECHO Please Contact The Quotel Helpdesk On 0903 821880 / Fax 0903 277180
    ECHO.
    PAUSE
    GOTO END
:END
    IF EXIST C:\MENU.BAT GOTO CMENU
    IF EXIST \LOGIN\LOGIN.EXE GOTO NETMENU
    IF EXIST F:\LOGIN\LOGIN.EXE GOTO NETMENU
    C:
    CD\
    GOTO END2
:CMENU
    C:
    CD\
    MENU > NUL:
    GOTO END2
:NETMENU
    IF EXIST X:\MENU.BAT GOTO XMENU
    IF EXIST M:\MENU.BAT GOTO MMENU
    CD\
    GOTO END2
:XMENU
    X:
    MENU >NUL:
    GOTO END2
:MMENU
    M:
    MENU >NUL:
    GOTO END2
:END2
